#ifndef INCL_CONFIG_H
#define INCL_CONFIG_H

#include "if/ifcommon.h"
#include "instthnk.h"
#include "misc.h"

#include "Rs232c.h"

class ConfigRs232c : public IConfigPropSheet
{
public:
	ConfigRs232c();
	bool Init(HINSTANCE _hinst, Rs232c* _rs232c);  
	bool IFCALL Setup(IConfigPropBase*, PROPSHEETPAGE* psp);
	RS232C_CONFIG* GetConfig(void) { return &config; }
	
private:
	BOOL PageProc(HWND, UINT, WPARAM, LPARAM);
	static BOOL CALLBACK PageGate(ConfigRs232c*, HWND, UINT, WPARAM, LPARAM);
	void InitDialog(HWND hdlg);
	void Update(HWND hdlg);
	void Apply(HWND hdlg);
	BOOL Command(HWND hdlg, HWND hwctl, UINT nc, UINT id);
	
	HINSTANCE hinst;
	IConfigPropBase* base;
	InstanceThunk gate;
	char szIniFile[_MAX_PATH];
	RS232C_CONFIG config;
	RS232C_CONFIG config_disp;
	Rs232c* rs232c;
};

#endif // INCL_CONFIG_H
